## Apache Zeta Components Manual :: Docs For Class ezcWorkflowExecutionListener

### Workflow::ezcWorkflowExecutionListener

### Interface ezcWorkflowExecutionListener

Interface for workflow execution listeners.

Source for this file: /Workflow/src/interfaces/execution_listener.php

Version: | //autogen//

### Constants

`DEBUG = 1` | Debug severity constant.
`ERROR = 64` | Error severity constant.
`FAILED_AUDIT = 4` | Failed audit severity constant.
`FATAL = 128` | Fatal severity constant.
`INFO = 8` | Info severity constant.
`NOTICE = 16` | Notice severity constant.
`SUCCESS_AUDIT = 2` | Success audit severity constant.
`WARNING = 32` | Warning severity constant.

### Method Summary

public void | `notify( $message , [ $type = ezcWorkflowExecutionListener::INFO] )` Called to inform about events.

### Methods

#### notify

void notify( string $message , [int $type = ezcWorkflowExecutionListener::INFO] )

Called to inform about events.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |
`$type` | int |

Documentation generated by phpDocumentor 1.4.3